<script setup lang="ts">
// import { useDatePickerStore } from '@/services/datePicker';
// const store = useDatePickerStore()
// store.editDate = props.editDate || new Date()

// onMounted(() => {
//     if (!props.editDate) {
//         store.resetState()
//     }
// })

import { ref, watch } from 'vue'

const props = defineProps<{
  // initDate?: Date
  // dialog: boolean
  initStartDate?: Date
  initEndDate?: Date
  dialog: boolean
  dialogs: boolean
}>()

const editDate = ref(new Date())
const localDialog = ref(props.dialog || false)

const startDate = ref(new Date())
const endDate = ref(new Date())
// const dialog = ref<boolean>(props.dialog)

const emit = defineEmits<{
  selectedDate: [startDate: string, endDate: string]
  getDialog: [value: boolean]
}>()

function closeDialog() {
  emit('getDialog', false)
  // localDialog.value = false
}

function saveDate() {
  // emit('selectedDate', editDate.value.toLocaleDateString())
  // closeDialog()
  emit('selectedDate', startDate.value.toLocaleDateString(), endDate.value.toLocaleDateString())
  closeDialog()
}

// watch(() => props.dialog, (newValue) => {
//   dialog.value = newValue
//   if (newValue) {
//     startDate.value = props.initStartDate ? new Date(props.initStartDate) : new Date()
//     endDate.value = props.initEndDate ? new Date(props.initEndDate) : new Date()
//   }
// })
</script>

<template>
  <v-dialog v-model="$props.dialog">
    <v-container>
      <v-row justify="center">
        <v-date-picker rounded="lg" width="400" v-model:model-value="endDate">
          <template #actions>
            <v-btn @click="closeDialog"> close </v-btn>
            <v-btn @click="saveDate"> save </v-btn>
          </template>
        </v-date-picker>
      </v-row>
    </v-container>
  </v-dialog>

  <v-dialog v-model="$props.dialogs">
    <v-container>
      <v-row justify="center">
        <v-date-picker rounded="lg" width="400" v-model:model-value="startDate">
          <template #actions>
            <v-btn @click="closeDialog"> close </v-btn>
            <v-btn @click="saveDate"> save </v-btn>
          </template>
        </v-date-picker>
      </v-row>
    </v-container>
  </v-dialog>
</template>
